// ----------------------------------------------------------------------------

// markItUp!

// ----------------------------------------------------------------------------

// Copyright (C) 2008 Jay Salvat

// http://markitup.jaysalvat.com/

// ----------------------------------------------------------------------------

myCodeLoverSettings = {

    nameSpace:       "codeLover", // Useful to prevent multi-instances CSS conflict

    onShiftEnter:    {keepDefault:false, replaceWith:'<br />\n'},

    onCtrlEnter:     {keepDefault:false, openWith:'\n<p>', closeWith:'</p>\n'},

    onTab:           {keepDefault:false, openWith:' '},

    previewAutoRefresh: true,

    markupSet:  [
        {   name:'Grid', className:'grid', dropMenu: [
            {   name:'100% Column',

            className:'col1-1',

            openBlockWith:'',

            openWith:'<div class="wpb_row vc_row-fluid">\n <div class="vc_span12">\n  ',

            closeWith:'\n </div>\n</div>',

            closeBlockWith:'',

            placeHolder:'',

            multiline:true },

        {   name:'50%/50% Column',

            className:'col1-2',

            openBlockWith:'',

            openWith:'<div class="wpb_row vc_row-fluid">\n <div class="vc_span6">\n  ',

            closeWith:'\n </div>\n <div class="vc_span6">\n  \n </div>\n</div>',

            closeBlockWith:'',

            placeHolder:'',

            multiline:true },

        {   name:'25%/75% Column',

            className:'col1-3',

            openBlockWith:'',

            openWith:'<div class="wpb_row vc_row-fluid">\n <div class="vc_span3">\n  ',

            closeWith:'\n </div>\n <div class="vc_span9">\n  \n </div>\n</div>',

            closeBlockWith:'',

            placeHolder:'',

            multiline:true },

        {   name:'75%/25% Column',

            className:'col2-1',

            openBlockWith:'',

            openWith:'<div class="wpb_row vc_row-fluid">\n <div class="vc_span9">\n  ',

            closeWith:'\n </div>\n <div class="vc_span3">\n  \n </div>\n</div>',

            closeBlockWith:'',

            placeHolder:'',

            multiline:true },

        {   name:'33%/66% Column',

            className:'col2-2',

            openBlockWith:'',

            openWith:'<div class="wpb_row vc_row-fluid">\n <div class="vc_span4">\n  ',

            closeWith:'\n </div>\n <div class="vc_span8">\n  \n </div>\n</div>',

            closeBlockWith:'',

            placeHolder:'',

            multiline:true },

        {   name:'66%/33% Column',

            className:'col2-3',

            openBlockWith:'',

            openWith:'<div class="wpb_row vc_row-fluid">\n <div class="vc_span8">\n  ',

            closeWith:'\n </div>\n <div class="vc_span4">\n  \n </div>\n</div>',

            closeBlockWith:'',

            placeHolder:'',

            multiline:true },

        {   name:'33%/33%/33% Column',

            className:'col3-1',

            openBlockWith:'',

            openWith:'<div class="wpb_row vc_row-fluid">\n <div class="vc_span4">\n  ',

            closeWith:'\n </div>\n <div class="vc_span4">\n  \n </div>\n <div class="vc_span4">\n  \n </div>\n</div>',

            closeBlockWith:'',

            placeHolder:'',

            multiline:true },

        {   name:'25%/50%/25% Column',

            className:'col3-2',

            openBlockWith:'',

            openWith:'<div class="wpb_row vc_row-fluid">\n <div class="vc_span3">\n  ',

            closeWith:'\n </div>\n <div class="vc_span6">\n  \n </div>\n <div class="vc_span3">\n  \n </div>\n</div>',

            closeBlockWith:'',

            placeHolder:'',

            multiline:true },

        {   name:'25%/25%/50% Column',

            className:'col3-3',

            openBlockWith:'',

            openWith:'<div class="wpb_row vc_row-fluid">\n <div class="vc_span3">\n  ',

            closeWith:'\n </div>\n <div class="vc_span3">\n  \n </div>\n <div class="vc_span6">\n  \n </div>\n</div>',

            closeBlockWith:'',

            placeHolder:'',

            multiline:true },

        {   name:'50%/25%/25% Column',

            className:'col4-1',

            openBlockWith:'',

            openWith:'<div class="wpb_row vc_row-fluid">\n <div class="vc_span6">\n  ',

            closeWith:'\n </div>\n <div class="vc_span3">\n  \n</div>\n <div class="vc_span3">\n  \n </div>\n</div>',

            closeBlockWith:'',

            placeHolder:'',

            multiline:true },

        {   name:'25% x 4 Column',

            className:'col4-2',

            openBlockWith:'',

            openWith:'<div class="wpb_row vc_row-fluid">\n <div class="vc_span3">\n  ',

            closeWith:'\n </div>\n <div class="vc_span3">\n  \n</div>\n <div class="vc_span3">\n  \n </div>\n <div class="vc_span3">\n  \n </div>\n</div>',

            closeBlockWith:'',

            placeHolder:'',

            multiline:true },

        {   name:'Grid Container',

            className:'col4-3',

            openBlockWith:'',

            openWith:'<div class="wrapper (!([![Wrapper Class:]!]")!)>\n<div class="container (!([![Container Class:]!]")!)>\n',

            closeWith:'\n</div>\n</div>',

            closeBlockWith:'content here',

            placeHolder:'',

            multiline:true }

            ]
        },

        {   name:'Heading 1',

            className:'h1-btn',

            key:'1',

            openWith:'<h1(!( class="[![Class:]!]")!)>',

            closeWith:'</h1>',

            placeHolder:'Your title here...' },

        {   name:'Heading 2',

            className:'h2-btn',

            key:'2',

            openWith:'<h2(!( class="[![Class:]!]")!)>',

            closeWith:'</h2>',

            placeHolder:'Your title here...' },

        {   name:'Heading 3',

            className:'h3-btn',

            key:'3',

            openWith:'<h3(!( class="[![Class:]!]")!)>',

            closeWith:'</h3>',

            placeHolder:'Your title here...' },

        {   name:'Heading 4',

            className:'h4-btn',

            key:'4',

            openWith:'<h4(!( class="[![Class:]!]")!)>',

            closeWith:'</h4>',

            placeHolder:'Your title here...' },

        {   name:'Heading 5',

            className:'h5-btn',

            key:'5',

            openWith:'<h5(!( class="[![Class:]!]")!)>',

            closeWith:'</h5>',

            placeHolder:'Your title here...' },

        {   name:'Heading 6',

            className:'h6-btn',

            key:'6',

            openWith:'<h6(!( class="[![Class:]!]")!)>',

            closeWith:'</h6>',

            placeHolder:'Your title here...' },

        {   name:'Div',

            className:'div-btn',

            openWith:'<div(!( class="[![Class:]!]")!)>',

            closeWith:'</div>'  },

        {   name:'Paragraph',

            className:'p-btn',

            openWith:'<p(!( class="[![Class:]!]")!)>',

            closeWith:'</p>'  },

        {   name:'Ul',

            className:'ul-btn',

            openBlockWith:'',

            openWith:'<ul(!( class="[![Class:]!]")!)>\n <li>\n  ',

            closeWith:'\n </li>\n <li>\n  \n </li>\n <li>\n  \n </li>\n</ul>',

            closeBlockWith:'',

            placeHolder:'',

            multiline:true },

        {   name:'Ol',

            className:'ol-btn',

            openBlockWith:'',

            openWith:'<ol(!( class="[![Class:]!]")!)>\n <li>\n  ', //alt+

            closeWith:'\n </li>\n <li>\n  \n </li>\n <li>\n  \n </li>\n</ol>',

            closeBlockWith:'',

            placeHolder:'',

            multiline:true },

        {   name:'Picture',

            className:'img-btn',

            key:'P',

            replaceWith:'<img src="[![Source:!:http://]!]" alt="[![Alternative text:]!]" />' },

        {   name:'Link',

            className:'a-btn',

            key:'L',

            openWith:'<a href="[![Link:!:http://]!]"(!( title="[![Title:]!]")!)>',

            closeWith:'</a>',

            placeHolder:'Your text to link...' },

        {   name:'PHP',

            className:'php-btn',

            openWith:'<?php \n ',

            closeWith:'\n?>',

            placeHolder: '//php code here',

            multiline:true },

        {   name:'Script',

            className:'script-btn',

            openBlockWith:'',

            openWith:'<script>\n (function($){\n  ',

            closeWith:' })(jQuery);\n</script>',

            closeBlockWith:'',

            placeHolder:'//script code here\n',

            multiline:true },

        {   name:'Style',

            className:'style-btn',

            openBlockWith:'',

            openWith:'<style type="text/css">\n  ',

            closeWith:'\n</style>',

            closeBlockWith:'',

            placeHolder:'/* cascading styles here */',

            multiline:true }

        //{   name:'Clean',

            //replaceWith:function(h) { return h.selection.replace(/<(.*?)>/g, "") } },

    ]

}